

bullet = {
	img = love.graphics.newImage("images/bullet.png"),
	speed = 500,
	damage = 1,
	size = 5,
	timer = 0,
	rate = 10,
	dt = .005,
	sound = love.audio.newSource("data/laser.ogg"),
}
	bullet.sound:setPitch(5)
	bullet.sound:setVolume(.07)
	bullet.img:setFilter("nearest","nearest")
	

function bullet_spawn(x, y)
	table.insert(bullet, {x=x, y=y})
end

function bullet_shoot(dt)
	if love.keyboard.isDown(" ") then
		bullet.timer = bullet.timer + bullet.rate*bullet.dt
		if bullet.timer > bullet.rate then
			bullet_spawn(ship.x + 22/2, ship.y)
			love.audio.play(bullet.sound)
			bullet.timer = 0
		end	
		else
			bullet.timer = 0
	end
	for bi,bv in ipairs(bullet) do
		bv.y = bv.y - bullet.speed *dt
		if bv.y < 0 then
			table.remove(bullet,bi) --Bullet is deleted from the table if it leaves the screen
		end
		for ei,ev in ipairs(enemy) do --bullet + ent collision
			if distance(bv.x,bv.y,ev.x,ev.y) < (bullet.size+26) then
				table.remove(bullet,bi)
				ev.h = ev.h -1
				if ev.h <=0 then
					score = score + ev.score
					table.remove(enemy, ei)
				end
			end
		end
	end

end

function bullet_draw()
	for i,v in ipairs(bullet) do
	love.graphics.draw(bullet.img, v.x, v.y)
	end
end


function distance(x1,y1,x2,y2) --detects distance between any objects
  return math.sqrt( (x1 - x2)^2 + (y1 - y2)^2 )
end